> ## Name

> texCUBEsize - returns the size of a given texture image for a given level of detail.

> ## Synopsis

>     int3 texCUBEsize(samplerCUBE samp, int lod)
>     int3 texCUBEsize(isamplerCUBE samp, int lod)
>     int3 texCUBEsize(usamplerCUBE samp, int lod)

> ## Parameters

> samp
>   Sampler to be queried for size.
> lod
>   Level of detail to obtain size.

> ## Description

> Given a sampler and a level of detail the size of the corresponding texture image is returned as the result of the operation.

> ## Profile Support

> texCUBEsize is only supported in gp4 and newer profiles.

> ## See Also

> texCUBE